Page MenuHomePhabricator

Wikidata: Data-access tests are not being run on commit (and ever)
Closed, ResolvedPublic

Description

Data-access tests are not being run on commit (and ever) because I see this:

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterRun `data-access` tests on commit
mediawiki/extensions/Wikibase : masterFix data-access phpunit tests
mediawiki/extensions/Wikibase : masterRun data-access phpunit tests

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2018, 1:52 PM

Change 439909 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/Wikibase@master] Run data-access tests on commit

https://gerrit.wikimedia.org/r/439909

Change 439930 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] Run data-access phpunit tests

https://gerrit.wikimedia.org/r/439930

Change 439930 abandoned by Addshore:
Run data-access phpunit tests

Reason:
email didn't include the fact there was already a patch for this :D

https://gerrit.wikimedia.org/r/439930

Change 439957 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Fix data-access phpunit tests

https://gerrit.wikimedia.org/r/439957

Change 439957 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix data-access phpunit tests

https://gerrit.wikimedia.org/r/439957

Change 439909 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Run data-access tests on commit

https://gerrit.wikimedia.org/r/439909

WMDE-leszek moved this task from Incoming to Done on the Wikidata-Campsite board.Jun 13 2018, 5:28 PM
Vvjjkkii renamed this task from Wikidata: Data-access tests are not being run on commit (and ever) to 56aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 56aaaaaaaa to Wikidata: Data-access tests are not being run on commit (and ever) .Jul 2 2018, 2:05 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
Lydia_Pintscher closed this task as Resolved.Jul 26 2018, 3:33 PM
Lydia_Pintscher claimed this task.